org.hibernate.search.util.impl

## Class PassThroughAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.hibernate.search.util.impl.PassThroughAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class PassThroughAnalyzer
      extends Analyzer

  Analyzer that applies no operation whatsoever to the flux This is useful for queries operating on non tokenized fields.

  TODO there is probably a way to make that much more efficient by reimplementing TokenStream to take the Reader and pass through the flux as a single token

  Author:
    Emmanuel Bernard, Sanne Grinovero

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PassThroughAnalyzer` | `INSTANCE`

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PassThroughAnalyzer INSTANCE

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved